# -*- coding: utf-8 -*-
# Generated by Django 1.11.12 on 2018-05-31 20:29
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import filer.fields.file


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('filer', '0010_auto_20180414_2058'),
    ]

    operations = [
        migrations.CreateModel(
            name='DisciplineModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Sport discipline', max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='EventModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createtime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Create time')),
                ('lastupdatetime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Time of the last change.')),
                ('no', models.IntegerField(blank=True, help_text='Sequential number of the event', null=True)),
                ('name', models.CharField(help_text='Name of the event', max_length=255)),
                ('start_time', models.DateTimeField(blank=True, help_text='Start date/time of the run', null=True)),
                ('createby', models.ForeignKey(blank=True, editable=False, help_text='User how create this entry.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='eventmodel_createby', to=settings.AUTH_USER_MODEL)),
                ('discipline', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='for_runners.DisciplineModel')),
                ('lastupdateby', models.ForeignKey(blank=True, editable=False, help_text='User as last edit this entry.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='eventmodel_lastupdateby', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='GpxModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createtime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Create time')),
                ('lastupdatetime', models.DateTimeField(default=django.utils.timezone.now, editable=False, help_text='Time of the last change.')),
                ('gpx', models.TextField(help_text='The raw gpx file content')),
                ('start_time', models.DateTimeField(editable=False, help_text='Start time of the first segment in track')),
                ('start_latitude', models.FloatField(editable=False, help_text='Latitude of the first recorded point from the *.gpx file')),
                ('start_longitude', models.FloatField(editable=False, help_text='Longitude of the first recorded point from the *.gpx file')),
                ('short_start_address', models.CharField(blank=True, help_text='The short address of the start point', max_length=255, null=True)),
                ('full_start_address', models.CharField(blank=True, help_text='The full address of the start point', max_length=255, null=True)),
                ('finish_time', models.DateTimeField(editable=False, help_text='End time of the last segment in track')),
                ('finish_latitude', models.FloatField(editable=False, help_text='Latitude of the finish point')),
                ('finish_longitude', models.FloatField(editable=False, help_text='Longitude of the finish point')),
                ('short_finish_address', models.CharField(blank=True, help_text='The short address of the finish point', max_length=255, null=True)),
                ('full_finish_address', models.CharField(blank=True, help_text='The full address of the finish point', max_length=255, null=True)),
                ('points_no', models.PositiveIntegerField(blank=True, help_text='Number of points in GPX', null=True)),
                ('length', models.PositiveIntegerField(blank=True, help_text='Length in meters (calculated 3-dimensional used latitude, longitude, and elevation)', null=True)),
                ('duration', models.PositiveIntegerField(blank=True, help_text='Duration in seconds', null=True)),
                ('pace', models.DecimalField(blank=True, decimal_places=2, help_text='Min/km (number of minutes it takes to cover a kilometer)', max_digits=4, null=True)),
                ('uphill', models.IntegerField(blank=True, help_text='Uphill elevation climbs in meters', null=True)),
                ('downhill', models.IntegerField(blank=True, help_text='Downhill elevation descent in meters', null=True)),
                ('min_elevation', models.IntegerField(blank=True, help_text='Minimum elevation in meters', null=True)),
                ('max_elevation', models.IntegerField(blank=True, help_text='Maximum elevation in meters', null=True)),
                ('map_image', models.ImageField(blank=True, null=True, upload_to='')),
                ('event', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='for_runners.EventModel')),
                ('lastupdateby', models.ForeignKey(blank=True, editable=False, help_text='User as last edit this entry', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='gpxmodel_lastupdateby', to=settings.AUTH_USER_MODEL)),
                ('track_svg', filer.fields.file.FilerFileField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='filer.File', verbose_name='Track SVG')),
                ('tracked_by', models.ForeignKey(blank=True, editable=False, help_text='The user that tracked this gpx entry', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='gpxmodel_createby', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'GPX Track',
                'verbose_name_plural': 'GPX Tracks',
                'ordering': ('-start_time', '-pk'),
            },
        ),
        migrations.AlterUniqueTogether(
            name='gpxmodel',
            unique_together=set([('start_time', 'start_latitude', 'start_longitude', 'finish_time', 'finish_latitude', 'finish_longitude')]),
        ),
    ]
